Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.net.http
Class ContentLengthOutputStream

    java.lang.Object
      java.io.OutputStream
          weblogic.net.http.ContentLengthOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Deprecated. Deprecated in WebLogic Server 9.0

    public final class ContentLengthOutputStream

extends OutputStream

An output stream that enforces that the writer writes exactly a stated content-length of bytes. An HTTP POST requires a content length, and this will save having to count the content-length before sending a big file (and the resulting OutOfMemoryErrors).

Constructor Summary
`ContentLengthOutputStream(OutputStream o, int contentLength)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`void` | `write(byte[] b)` Deprecated.
`void` | `write(byte[] b, int off, int len)` Deprecated.
`void` | `write(int i)` Deprecated.

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentLengthOutputStream

    public ContentLengthOutputStream(OutputStream o,
                                     int contentLength)

  Deprecated.

Method Detail

### write

    public void write(int i)
               throws IOException

  Deprecated.
  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Deprecated.
  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Deprecated.
  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Deprecated.
  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD